Page MenuHomePhabricator

Put an opt-out for the New Filters onto the Watchlist preferences page
Closed, ResolvedPublic

Description

NOTE: this task creates functionality that is essentially the same as that created in T168376 and T175765, but for Watchlist instead of RC page.

When beta graduation happens for Watchlist, we will let users opt out of the new UX if they want. This ticket describes the opt-out tools and functionality.

Functionality

After beta graduation for Watchlist, a new preference for "Hide the improved version of Watchlist" will be displayed on the Watchlist preferences tab. When a user selects this:

  • Watchlist is rolled back to the old version.
  • Saved System preferences will be re-established in the old interface, including any ORES preferences.
    • If the user had a default Saved Filter in the new UX, we will NOT attempt to map that back to the old preferences. (The user loses his Saved Filters along with all the other benefits of the new UX.)

Layout and wording

  • Add a new section with the following title: Opt out of improvements
  • This section will look essentially like the one on the Recent Changes tab.
  • Position this new section underneath the current "Advanced options" section and above "Token".
  • Wording for the opt-out is as follows:
    • Main option text: Hide the improved version of Watchlist
    • Subtitle/description in small, gray font: Rolls back the 2017 interface redesign and all tools added then and since.

Event Timeline

jmatazzoni triaged this task as High priority.

Are we going to have a smooth rollout for already active users, like the following?
For people who have created an account before the release:

  • people who have opted-in the Beta feature get the new filters
  • people who have not opted-in the Beta feature keep their watchlist as it is
    • they can opt-in in their preferences

For people who have created an account after the release:

  • they get the new filters on their watchlist
  • they can opt-out in their preferences

As discussed during the last team meeting, we are not going through the solution I've suggested. Instead, people will have the opportunity to opt-out when whey will access their watchlist, as described on T195427: Introduce the New Filters to Watchlist users upon beta graduation (and provide instant opt-out).

Main option text: Hide the improved version of Watchlist

Is it OK to say "of the Watchlist" instead?

Change 436443 had a related patch set uploaded (by Catrope; owner: Catrope):
[mediawiki/core@master] RCFilters: Add an opt-out preference for filters on watchlist

https://gerrit.wikimedia.org/r/436443

In T195431#4244816, @Catrope wrote:

Main option text: Hide the improved version of Watchlist

Is it OK to say "of the Watchlist" instead?

I think both formulations are used but you are right that that sounds more standard. So go for the "the".

Change 436443 merged by jenkins-bot:
[mediawiki/core@master] RCFilters: Add an opt-out preference for filters on watchlist

https://gerrit.wikimedia.org/r/436443

Etonkovidova added a comment.EditedJun 20 2018, 9:38 PM

Checked all specs - all look and work according to the specs:

QA Recommendation: Resolve

jmatazzoni closed this task as Resolved.Jun 27 2018, 5:07 PM
Vvjjkkii renamed this task from Put an opt-out for the New Filters onto the Watchlist preferences page to oecaaaaaaa.Jul 1 2018, 1:08 AM
Vvjjkkii reopened this task as Open.
Vvjjkkii removed Catrope as the assignee of this task.
Vvjjkkii updated the task description. (Show Details)
Vvjjkkii removed subscribers: gerritbot, Aklapper.
CommunityTechBot assigned this task to Catrope.
CommunityTechBot closed this task as Resolved.
CommunityTechBot renamed this task from oecaaaaaaa to Put an opt-out for the New Filters onto the Watchlist preferences page.
CommunityTechBot added subscribers: gerritbot, Aklapper.